%define upstream_name    IO-Tty
%define upstream_version 1.10

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 7

Summary:        Pseudo TTY object class
License:        GPL
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel


%description
The IO::Tty and IO::Pty modules provide an interface to pseudo tty's.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README META.yml
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/IO
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-7.mga3
+ Revision: 368600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 1.100.0-6.mga3
+ Revision: 283477
- Rebuild for new perl

* Wed May 30 2012 jquelin <jquelin> 1.100.0-5.mga3
+ Revision: 250788
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.100.0-4.mga2
+ Revision: 103942
- perl 5.14

* Sat Jun 11 2011 spuhler <spuhler> 1.100.0-3.mga2
+ Revision: 103941
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 31622
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 12272
- imported package perl-IO-Tty

